Google은 흑인 공동체를 위한 인종 간 평등을 진전시키기 위해 노력하고 있습니다. Google에서 어떤 노력을 하고 있는지 확인하세요.

Android 보안 게시판 - 2021년 5월

2021년 5월 3일 게시됨

Android 보안 게시판에서는 Android 기기에 영향을 미치는 보안 취약점에 관해 자세히 다룹니다. 이러한 문제는 2021-05-05 보안 패치 수준 이후 버전에서 모두 해결됩니다. 기기의 보안 패치 수준을 확인하는 방법은 Android 버전 확인 및 업데이트를 참고하세요.

Android 파트너에게는 게시되기 최소 한 달 전에 모든 문제 관련 알림이 전달됩니다. 그다음 48시간 이내에 이러한 문제의 해결을 위한 소스 코드 패치가 Android 오픈소스 프로젝트(AOSP) 저장소에 배포됩니다. 패치를 사용할 수 있게 되면 AOSP 링크와 함께 이 게시판이 수정됩니다.

가장 심각한 문제는 중대한 시스템 구성요소의 보안 취약점으로, 원격 공격자가 권한이 설정된 프로세스 내에서 특별히 제작된 파일로 임의의 코드를 실행할 수 있습니다. 심각도 평가는 개발 관련 목적으로 인해 플랫폼 및 서비스의 취약점 완화 조치가 중단된 상태이거나 이러한 조치를 우회하는 데 성공한 경우, 취약점 악용이 대상 기기에 미치는 잠재적 영향을 기준으로 합니다.

Android 플랫폼의 보안을 개선하는 Android 보안 플랫폼 보호 및 Google Play 프로텍트에 관해 자세히 알아보려면 Android 및 Google Play 프로텍트 취약점 완화 섹션을 참고하세요.

Android 및 Google 서비스 취약점 완화

다음은 Google Play 프로텍트와 같은 Android 보안 플랫폼 및 서비스 보호 기능에서 제공하는 취약점 완화 기능에 관한 요약입니다. 이러한 기능을 통해 Android에서 보안 취약점이 악용될 가능성을 줄입니다.

  • Android 플랫폼 최신 버전의 향상된 기능으로 Android의 여러 문제를 악용하기가 더욱 어려워졌습니다. 가능하다면 모든 사용자는 최신 버전의 Android로 업데이트하는 것이 좋습니다.
  • Android 보안팀에서는 Google Play 프로텍트를 통해 악용사례를 적극적으로 모니터링하고 잠재적으로 위험한 애플리케이션에 관해 사용자에게 경고를 보냅니다. Google Play 프로텍트는 Google 모바일 서비스가 적용된 기기에 기본적으로 사용 설정되어 있으며 Google Play 외부에서 가져온 앱을 설치하는 사용자에게 특히 중요합니다.

2021-05-01 보안 패치 수준 취약점 세부정보

다음 섹션에서는 2021-05-01 패치 수준에 적용되는 각 보안 취약점에 관해 자세히 알아볼 수 있습니다. 취약점은 영향을 받는 구성요소 아래에 분류되어 있습니다. 아래 표에서 문제 설명 및 CVE ID, 관련 참조, 취약점 유형, 심각도, 업데이트된 AOSP 버전(해당하는 경우)을 참조하세요. 가능한 경우 AOSP 변경사항 목록과 같이 문제를 해결한 공개 변경사항을 버그 ID에 연결합니다. 하나의 버그와 관련된 변경사항이 여러 개인 경우 추가 참조가 버그 ID 다음에 오는 번호에 연결됩니다. Android 10 이후 버전을 실행하는 기기에는 보안 업데이트 및 Google Play 시스템 업데이트가 제공될 수 있습니다.

프레임워크

이 섹션의 가장 심각한 취약점으로 인해 로컬 악성 애플리케이션이 사용자 상호작용 요구사항을 우회하여 추가적인 권한에 액세스할 수 있습니다.

CVE 참조 유형 심각도 업데이트된 AOSP 버전
CVE-2021-0472 A-176801033 EoP 높음 9, 10, 11
CVE-2021-0485 A-174302616 EoP 높음 11
CVE-2021-0487 A-174046397 EoP 높음 11

미디어 프레임워크

이 섹션의 가장 심각한 취약점으로 인해 로컬 악성 애플리케이션이 사용자 상호작용 요구사항을 우회하여 추가적인 권한에 액세스할 수 있습니다.

CVE 참조 유형 심각도 업데이트된 AOSP 버전
CVE-2021-0482 A-173791720 EoP 높음 11
CVE-2021-0484 A-173720767 ID 높음 8.1, 9, 10, 11

시스템

이 섹션의 가장 심각한 취약점으로 인해 특별히 제작된 파일을 사용하는 원격 공격자가 권한이 설정된 프로세스의 컨텍스트 내에서 임의의 코드를 실행할 수 있습니다.

CVE 참조 유형 심각도 업데이트된 AOSP 버전
CVE-2021-0473 A-179687208 RCE 심각 8.1, 9, 10, 11
CVE-2021-0474 A-177611958 RCE 심각 8.1, 9, 10, 11
CVE-2021-0475 A-175686168 RCE 심각 10, 11
CVE-2021-0476 A-169252501 EoP 높음 9, 10, 11
CVE-2021-0477 A-178189250 EoP 높음 8.1, 9, 10, 11
CVE-2021-0481 A-172939189 EoP 높음 8.1, 9, 10, 11
CVE-2021-0466 A-154114734 ID 높음 10
CVE-2021-0480 A-174493336 ID 높음 8.1, 9, 10, 11

Google Play 시스템 업데이트

이번 달 Google Play 시스템 업데이트(Project Mainline)에서 해결된 보안 문제가 없습니다.

2021-05-05 보안 패치 수준 취약점 세부정보

다음 섹션에서는 2021-05-05 패치 수준에 적용되는 각 보안 취약점에 관해 자세히 알아볼 수 있습니다. 취약점은 영향을 받는 구성요소 아래에 분류되어 있습니다. 아래 표에서 문제 설명 및 CVE ID, 관련 참조, 취약점 유형, 심각도, 업데이트된 AOSP 버전(해당하는 경우)을 참조하세요. 가능한 경우 AOSP 변경사항 목록과 같이 문제를 해결한 공개 변경사항을 버그 ID에 연결합니다. 하나의 버그와 관련된 변경사항이 여러 개인 경우 추가 참조가 버그 ID 다음에 오는 번호에 연결됩니다.

프레임워크

이 섹션의 취약점으로 인해 로컬 악성 애플리케이션이 다른 애플리케이션으로부터 애플리케이션 데이터를 분리하는 운영체제 보호를 우회할 수 있습니다.

CVE 참조 유형 심각도 업데이트된 AOSP 버전
CVE-2019-2219 A-119041698 ID 높음 11

커널 구성요소

이 섹션의 취약점으로 인해 로컬 공격자가 사용자 상호작용 요구사항을 우회하여 추가적인 권한에 액세스할 수 있습니다.

CVE 참조 유형 심각도 구성요소
CVE-2020-29661 A-175451802
업스트림 커널
EoP 높음 TTY

AMLogic

이 취약점은 AMLogic 구성요소에 영향을 주며 자세한 내용은 AMLogic에서 직접 확인할 수 있습니다. 이러한 문제의 심각도 평가는 AMLogic에서 직접 제공합니다.

CVE 참조 심각도 구성요소
CVE-2021-0467 A-174490700* 심각 bootROM

ARM 구성요소

다음 취약점은 ARM 구성요소에 영향을 주며 자세한 내용은 ARM에서 직접 확인할 수 있습니다. 이러한 문제의 심각도 평가는 ARM에서 직접 제공합니다.

CVE 참조 심각도 구성요소
CVE-2021-28663
A-174259860* 높음 악성
CVE-2021-28664
A-174588870* 높음 악성

MediaTek 구성요소

다음 취약점은 MediaTek 구성요소에 영향을 주며 자세한 내용은 MediaTek에서 직접 확인할 수 있습니다. 이러한 문제의 심각도 평가는 MediaTek에서 직접 제공합니다.

CVE 참조 심각도 구성요소
CVE-2021-0489 A-183464866
M-ALPS05403499*
높음 메모리 관리 드라이버
CVE-2021-0490
A-183464868
M-ALPS05403499*
높음 메모리 관리 드라이버
CVE-2021-0491 A-183461315
M-ALPS05403499*
높음 메모리 관리 드라이버
CVE-2021-0492 A-183459078
M-ALPS05403499*
높음 메모리 관리 드라이버
CVE-2021-0493
A-183461317
M-ALPS05403499*
높음 메모리 관리 드라이버
CVE-2021-0494 A-183461318
M-ALPS05403499*
높음 메모리 관리 드라이버
CVE-2021-0495 A-183459083
M-ALPS05403499*
높음 메모리 관리 드라이버
CVE-2021-0496 A-183467912
M-ALPS05403499*
높음 메모리 관리 드라이버
CVE-2021-0497 A-183461320
M-ALPS05403499*
높음 메모리 관리 드라이버
CVE-2021-0498 A-183461321
M-ALPS05403499*
높음 메모리 관리 드라이버

Unisoc 구성요소

이 취약점은 Unisoc 구성요소에 영향을 주며 자세한 내용은 Unisoc에서 직접 확인할 수 있습니다. 이러한 문제의 심각도 평가는 Unisoc에서 직접 제공합니다.

CVE 참조 심각도 구성요소
CVE-2021-0324 A-175402462* 높음 프레임워크

Qualcomm 구성요소

다음 취약점은 Qualcomm 구성요소에 영향을 주며 해당 Qualcomm 보안 게시판 또는 보안 알림에 자세히 설명되어 있습니다. 이러한 문제의 심각도 평가는 Qualcomm에서 직접 제공합니다.

CVE 참조 심각도 구성요소
CVE-2021-1891 A-179039763
QC-CR#2766242
높음 오디오
CVE-2021-1905 A-178809945
QC-CR#2826864
높음 디스플레이
CVE-2021-1927 A-179040600
QC-CR#2827356
높음 커널
CVE-2021-1906 A-178810049
QC-CR#2835082
보통 디스플레이

Qualcomm 비공개 소스 구성요소

다음 취약점은 Qualcomm 비공개 소스 구성요소에 영향을 주며 해당 Qualcomm 보안 게시판 또는 보안 알림에 자세히 설명되어 있습니다. 이러한 문제의 심각도 평가는 Qualcomm에서 직접 제공합니다.

CVE 참조 심각도 구성요소
CVE-2020-11273 A-172348952* 높음 비공개 소스 구성요소
CVE-2020-11274
A-172348993* 높음 비공개 소스 구성요소
CVE-2020-11279 A-172348857* 높음 비공개 소스 구성요소
CVE-2020-11284 A-172348929* 높음 비공개 소스 구성요소
CVE-2020-11285 A-172349029* 높음 비공개 소스 구성요소
CVE-2020-11288 A-172348722* 높음 비공개 소스 구성요소
CVE-2020-11289 A-172348852* 높음 비공개 소스 구성요소
CVE-2021-1910 A-179039901* 높음 비공개 소스 구성요소
CVE-2021-1915 A-172944461* 높음 비공개 소스 구성요소

일반적인 질문 및 답변

이 섹션에서는 게시판을 읽은 후 생길 수 있는 일반적인 질문에 대해 답합니다.

1. 내 기기가 업데이트되어 이 문제가 해결되었는지 어떻게 알 수 있나요?

기기의 보안 패치 수준을 확인하는 방법은 Android 버전 확인 및 업데이트를 참고하세요.

  • 2021-05-01 보안 패치 수준과 관련된 모든 문제는 2021-05-01 보안 패치 수준 이후 버전에서 해결됩니다.
  • 2021-05-05 보안 패치 수준 및 그 이전의 모든 패치 수준과 관련된 문제는 2021-05-05 보안 패치 수준 이후 버전에서 모두 해결됩니다.

이러한 업데이트를 포함하는 기기 제조업체는 패치 문자열 수준을 다음과 같이 설정해야 합니다.

  • [ro.build.version.security_patch]:[2021-05-01]
  • [ro.build.version.security_patch]:[2021-05-05]

Android 10 이후 버전을 실행하는 일부 기기는 Google Play 시스템 업데이트에 2021-05-01 보안 패치 수준과 일치하는 날짜 문자열이 있습니다. 보안 업데이트를 설치하는 방법에 관한 자세한 내용은 이 도움말을 참고하세요.

2. 이 게시판에 두 가지 보안 패치 수준이 있는 이유가 무엇인가요?

이 게시판에는 Android 파트너가 모든 Android 기기에서 유사하게 발생하는 취약점 문제의 일부를 더욱 빠르고 유연하게 해결할 수 있도록 두 가지 보안 패치 수준이 포함되어 있습니다. Android 파트너는 이 게시판에 언급된 문제를 모두 수정하고 최신 보안 패치 수준을 사용하는 것이 좋습니다.

  • 2021-05-01 보안 패치 수준을 사용하는 기기는 이 보안 패치 수준과 관련된 모든 문제와 이전 보안 게시판에 보고된 모든 문제의 수정사항을 포함해야 합니다.
  • 2021-05-05 보안 패치 수준 이후 버전을 사용하는 기기는 이 보안 게시판과 이전 게시판의 모든 관련 패치를 포함해야 합니다.

파트너는 해결하는 모든 문제의 수정사항을 단 한 번의 업데이트에서 번들로 묶는 것이 좋습니다.

3. 유형 열의 항목은 무엇을 의미하나요?

취약점 세부정보 표의 유형 열에 있는 항목은 보안 취약점 분류를 뜻합니다.

약어 정의
RCE 원격 코드 실행(Remote code execution)
EoP 권한 승격(Elevation of privilege)
ID 정보 공개(Information disclosure)
DoS 서비스 거부(Denial of service)
N/A 분류 없음

4. 참조 열의 항목은 무엇을 의미하나요?

취약점 세부정보 표의 참조 열에 있는 항목은 참조 값이 속한 조직을 나타내는 접두어를 포함할 수 있습니다.

접두어 참조
A- Android 버그 ID
QC- Qualcomm 참조 번호
M- MediaTek 참조 번호
N- NVIDIA 참조 번호
B- Broadcom 참조 번호

5. 참조 열에서 Android 버그 ID 옆에 있는 * 표시는 무엇을 의미하나요?

공개되지 않은 문제에는 해당 참조 ID 옆에 * 표시가 있습니다. 일반적으로 이러한 문제에 관한 업데이트는 Google Developers 사이트에서 제공되는 Pixel 기기용 최신 바이너리 드라이버에 포함되어 있습니다.

6. 보안 취약점이 이 게시판과 Pixel 게시판과 같은 기기/파트너 보안 게시판에 나누어져 있는 이유가 무엇인가요?

이 보안 게시판에 설명되어 있는 보안 취약점은 Android 기기의 최신 보안 패치 수준을 선언하는 데 필요합니다. 기기/파트너 보안 게시판에 설명된 추가 보안 취약점은 보안 패치 수준을 선언하는 데 필요하지 않습니다. Google, Huawei, LGE, Motorola, Nokia, 또는 삼성과 같은 Android 기기 및 칩셋 제조업체에서는 자사 기기의 보안 취약점 세부정보를 자체적으로 게시할 수도 있습니다.

버전

버전 날짜 참고
1.0 2021년 5월 3일 게시판이 게시되었습니다.